<?php
/* Faila mērķis:
Atjaunina profila statusu */
session_start();
include 'db_conn.php';
// Pārbauda, vai lietotājs ir autentificējies
if (!isset($_SESSION['user_id'])) {
    header("Location: login.html");
    exit();
}
// Iegūst lietotāja ID
$user_id = $_SESSION['user_id'];

// Iegūst lietotāja vārdu
$name = trim($_POST['name']) ?: null;

// Atjaunina lietotāja vārdu
$stmt = $conn->prepare("UPDATE users SET name = ? WHERE id = ?");
$stmt->bind_param("si", $name, $user_id);
$stmt->execute();

// Paziņo par izmaiņām
header("Location: profile.php?success=1");
exit();
?>
